Package org.jboss.resteasy.jose.jws.util

## Class Key

- java.lang.Object
- - org.jboss.resteasy.jose.jws.util.Key

- All Implemented Interfaces:
    `Serializable`

      public class Key
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Key.KeyStoreConfig` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Key()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCertificatePem()` |
    `Key.KeyStoreConfig` | `getKeystore()` |
    `String` | `getPrivateKeyPem()` |
    `String` | `getPublicKeyPem()` |
    `boolean` | `isEncryption()` |
    `boolean` | `isSigning()` |
    `void` | `setCertificatePem​(String certificatePem)` |
    `void` | `setEncryption​(Boolean encryption)` |
    `void` | `setKeystore​(Key.KeyStoreConfig keystore)` |
    `void` | `setPrivateKeyPem​(String privateKeyPem)` |
    `void` | `setPublicKeyPem​(String publicKeyPem)` |
    `void` | `setSigning​(Boolean signing)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Key

          public Key()

  - ### Method Detail

    - #### isSigning

          public boolean isSigning()

    - #### setSigning

          public void setSigning​(Boolean signing)

    - #### isEncryption

          public boolean isEncryption()

    - #### setEncryption

          public void setEncryption​(Boolean encryption)

    - #### getKeystore

          public Key.KeyStoreConfig getKeystore()

    - #### setKeystore

          public void setKeystore​(Key.KeyStoreConfig keystore)

    - #### getPrivateKeyPem

          public String getPrivateKeyPem()

    - #### setPrivateKeyPem

          public void setPrivateKeyPem​(String privateKeyPem)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem​(String publicKeyPem)

    - #### getCertificatePem

          public String getCertificatePem()

    - #### setCertificatePem

          public void setCertificatePem​(String certificatePem)